Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 173544

Summary: Review Request: xfce4-genmon-plugin
Product: [Fedora] Fedora Reporter: Christoph Wickert <christoph.wickert>
Component: Package ReviewAssignee: Kevin Fenzi <kevin>
Status: CLOSED NEXTRELEASE QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-extras-list, nonamedotc
Target Milestone: ---Flags: gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://xfce-goodies.berlios.de/
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-12-15 02:49:23 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 163779    

Description Christoph Wickert 2005-11-18 01:28:08 UTC
Spec Name or Url: 
http://home.arcor.de/christoph.wickert/fedora/extras-review/SPECS/xfce4-genmon-plugin.spec
SRPM Name or Url: 
http://home.arcor.de/christoph.wickert/fedora/extras-review/SPECS/xfce4-genmon-plugin.spechttp://home.arcor.de/christoph.wickert/fedora/extras-review/SRPMS/xfce4-genmon-plugin-1.1-3.fc4.src.rpm
Description: 
The GenMon plugin cyclically spawns the indicated script/program,
captures its output and displays it as a string into the panel.

Comments:
rpmlint is clean
License LGPL and included
not sure if "string _into_ the panel" is good english? (but taken from website)

Comment 2 Kevin Fenzi 2005-11-30 23:28:55 UTC
good: 
- rpmlint is clean :)
- License is good (LGPL).
- builds fine on fc4/devel. (with missing BR added, see below)
- installs and runs fine on my fc4 laptop. 
- builds fine in mock under devel if you add missing RB (see below)

nits: 
- Might tell upstream that the spec they ship has the License as BSD, which is
wrong. 

needswork:
- source doesn't match upsteam. Looks like they recreated the tar in jan 2005,
but you have the older version from 2004. 
- missing libxfcegui4-devel BuildRequires. 

Comment 3 Christoph Wickert 2005-12-01 01:09:46 UTC
(In reply to comment #2)
> 
> nits: 
> - Might tell upstream that the spec they ship has the License as BSD, which is
> wrong. 

just like in bug #173105, this is a relict from a xfce4-panel-sample-plugin package.

> 
> needswork:
> - source doesn't match upsteam. Looks like they recreated the tar in jan 2005,
> but you have the older version from 2004. 

fixed.

> - missing libxfcegui4-devel BuildRequires. 

fixed.
(Thanks for kickin my ass ;))

Also fixed %defattr(-,root,root,-) instead of (-,root,root)

NEW SRPM:
http://home.arcor.de/christoph.wickert/fedora/extras-review/SRPMS/xfce4-genmon-plugin-1.1-4.fc4.src.rpm


Comment 4 Kevin Fenzi 2005-12-01 05:31:22 UTC
> just like in bug #173105, this is a relict from a xfce4-panel-sample-plugin
package.

well, not exactly. There they shipped a BSD LICENSE file, but the source files
had LGPL headers. Here the only thing wrong is the spec file they ship (which we
don't use). In this case it could just be a simple mistake in the spec, in the
other one it's hard to say what they intended... 

This SRPM builds here, source matches, BuildRequires looks good. 

APPROVED. 



Comment 5 Mukundan Ragavan 2014-09-23 01:09:15 UTC
Package Change Request
======================
Package Name:  xfce4-genmon-plugin
New Branches: epel7
Owners: cwickert
InitialCC: nonamedotc

Comment 6 Gwyn Ciesla 2014-09-23 11:57:43 UTC
Git done (by process-git-requests).